'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const User = sequelize.define('user', {
  userId: {
    type: Sequelize.STRING
  }
});

// const query = 'SELECT id FROM users WHERE userId IN ($userIds)'; // WONT WORK
// const query = 'SELECT id FROM users WHERE userId = $userId';       // WORKS

sequelize
  .sync({ force: true })
  .then(() => {
    return User.bulkCreate([
      { userId: 'foo123' },
      { userId: 'bar123' }
    ]);
  })
  .then(() => {
    return sequelize.query(query, {
      type: sequelize.QueryTypes.SELECT,
      replacements: {
        userIds: ['foo123', 'bar123'],
        userId: 'foo123'
      },
      logging: console.log
    });
  })
  .then(results => {
    console.log(results);
  });